## org.gnu.gtk
Class PreviewType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.PreviewType

public class PreviewType
extends org.gnu.glib.Enum

Field Summary
`static PreviewType` `COLOR`
`static PreviewType` `GRAYSCALE`

Method Summary
`PreviewType` `and(PreviewType other)`
`static PreviewType` `intern(int value)`
`PreviewType` `or(PreviewType other)`
`boolean` `test(PreviewType other)`
`PreviewType` `xor(PreviewType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLOR

    public static final PreviewType COLOR

### GRAYSCALE

    public static final PreviewType GRAYSCALE

Method Detail

### intern

    public static PreviewType intern(int value)

### or

    public PreviewType or(PreviewType other)

### and

    public PreviewType and(PreviewType other)

### xor

    public PreviewType xor(PreviewType other)

### test

    public boolean test(PreviewType other)